Bug 818128 - Installer loops when using boot parameters "linux text dhcptimeout=3 ks=http://xxx"
Installer loops when using boot parameters "linux text dhcptimeout=3 ks=http:...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.8
All All
medium Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 06:05 EDT by Petr Ruzicka
Modified: 2013-03-08 14:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-08 14:45:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Ruzicka 2012-05-02 06:05:02 EDT
*** Description of problem:
Installer loops when using boot parameters "linux text dhcptimeout=3 ks=http://xxx"
There should be no dhcp server running in the network.


*** Version-Release number of selected component (if applicable):
RHEL 5.8


*** How reproducible:
See the steps below


*** Steps to Reproduce:
1. Boot RHEL 5.8 Installation DVD
2. Put there the string "linux text dhcptimeout=3 ks=http://xxx"
3. Ensure there are no dhcp responses running on the eth0 interface.
4. Installer loops with "Sending request for IP information for eth0"...
  

*** Actual results:
Installer loops... and never ends.


*** Expected results:
Install should timeout in 3 seconds [This is working fine in RHEL 5.6]
and then user should be asked to put there the IP manually.


*** Addidional information.
Values dhcptimeout=4 and greater are working like expected. Only dhcptimeout=3 and the smaller number are causing the problem in RHEL 5.8. 
RHEL 5.6 is not affected by this issue.
Comment 2 Chris Lumens 2012-05-02 15:08:22 EDT
Does your DHCP server reliably respond to requests in three seconds or less?  That seems like a lot to hope for.
Comment 3 Petr Ruzicka 2012-06-04 09:12:34 EDT
Hello.
Actually my test dhcp server responds quite quickly. Anyway if the parameter is included on the command line it should be working...

Even if there is dhcptimeout=1 ...

Regards

Petr Ruzicka

Note You need to log in before you can comment on or make changes to this bug.